Bulk update integration models
curl --request PUT \
--url https://api.portkey.ai/v1/integrations/{slug}/models \
--header 'Content-Type: application/json' \
--header 'x-portkey-api-key: <api-key>' \
--data '
{
"models": [
{
"slug": "<string>",
"enabled": true,
"is_custom": true,
"is_finetune": true,
"base_model_slug": "<string>",
"configurations": {
"custom_host": "<string>"
},
"pricing_config": {
"type": "static",
"pay_as_you_go": {
"request_token": {
"price": 123
},
"response_token": {
"price": 123
}
}
}
}
],
"allow_all_models": true
}
'import requests
url = "https://api.portkey.ai/v1/integrations/{slug}/models"
payload = {
"models": [
{
"slug": "<string>",
"enabled": True,
"is_custom": True,
"is_finetune": True,
"base_model_slug": "<string>",
"configurations": { "custom_host": "<string>" },
"pricing_config": {
"type": "static",
"pay_as_you_go": {
"request_token": { "price": 123 },
"response_token": { "price": 123 }
}
}
}
],
"allow_all_models": True
}
headers = {
"x-portkey-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-portkey-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
models: [
{
slug: '<string>',
enabled: true,
is_custom: true,
is_finetune: true,
base_model_slug: '<string>',
configurations: {custom_host: '<string>'},
pricing_config: {
type: 'static',
pay_as_you_go: {request_token: {price: 123}, response_token: {price: 123}}
}
}
],
allow_all_models: true
})
};
fetch('https://api.portkey.ai/v1/integrations/{slug}/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Update Model Access
Updates model access, pricing configuration, and settings for multiple models in an integration. Can enable/disable models and configure custom pricing.
PUT
/
integrations
/
{slug}
/
models
Bulk update integration models
Authorizations
Path Parameters
Body
application/json
Response
200 - application/json
Models updated successfully
The response is of type object.
Last modified on May 13, 2026
Was this page helpful?
⌘I

